This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 243152 - monitor not automatically detected
monitor not automatically detected
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-07 11:33 EDT by Joe Smith
Modified: 2008-06-16 21:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:28:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X server output, starting with no /etc/xorg.conf (** IGNORE THIS--SEE NEXT ATTACHMENT **) (4.42 KB, text/plain)
2007-06-09 11:57 EDT, Joe Smith
no flags Details
X server output, starting with no /etc/xorg.conf (4.42 KB, text/plain)
2007-06-09 13:06 EDT, Joe Smith
no flags Details
Xorg server log (62.20 KB, text/plain)
2007-07-31 14:21 EDT, Joe Smith
no flags Details

  None (edit)
Description Joe Smith 2007-06-07 11:33:43 EDT
Description of problem:
My display monitor was not automatically detected during install or configuration

Version-Release number of selected component (if applicable):
f7test4 install, updated to f7

How reproducible:
Always

Steps to Reproduce:
1. New install; or run system-config-display
2. Hardware tab shows generic video monitor
3.
  
Actual results:
Hardware tab shows generic video monitor
X configured for minimal resolution

Expected results:
Correct monitor detected
Hardware tab shows correct video monitor
X configuration has correct modes using full hardware capability

Additional info:
Monitor is DHP2818A; "D2818" in monitor list works perfectly.
# lspci|egrep -i 'vga|video|display'
01:00.0 VGA compatible controller: ATI Technologies Inc RV350 AR [Radeon 9600]
01:00.1 Display controller: ATI Technologies Inc RV350 AR [Radeon 9600] (Secondary)

This monitor was detected on this system under FC5.
Comment 1 Matěj Cepl 2007-06-08 18:36:11 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Joe Smith 2007-06-09 11:57:48 EDT
Created attachment 156651 [details]
X server output, starting with no /etc/xorg.conf (** IGNORE THIS--SEE NEXT ATTACHMENT **)

First line is the command I used to start X
Comment 3 Joe Smith 2007-06-09 13:06:41 EDT
Created attachment 156653 [details]
X server output, starting with no /etc/xorg.conf

Sorry, the first attachment picked up xorg.conf from the current dir, but I
don't see how to delete it.
This one is really no config

Command to start X:
# xinit -- :1 >x.log.noconf 2>&1
Comment 4 Joe Smith 2007-06-09 13:23:19 EDT
Thanks for having a look at this issue.

I've attached an X server log run with no config file, do you still want the
other logs?

I'm getting really confused between the process of creating xorg.conf and the
actual hardware detection in the X server.

If I run system-config-display with no existing xorg.conf, make no manual
selections and let it write an xorg.conf, then the correct monitor appears in
the output file. However, starting X with that config does not give either the
hardware-optimal set of modes, or the set of modes I want.

Only by running system-config-display and selecting a monitor (to get access to
resolutions > 800x600), then selecting 1280x1024 (the hardware-optimal
resolution) and exiting, can I get an xorg.conf that I can edit to remove the
(many!) modes I don't want.

So I don't know at this point which problem to pursue here.

Suggestions?
Comment 5 Adam Jackson 2007-07-31 13:54:26 EDT
These are just stdout from the X server, not the log file.  Please attach
/var/log/Xorg.0.log instead.
Comment 6 Joe Smith 2007-07-31 14:21:58 EDT
Created attachment 160347 [details]
Xorg server log

I don't seem to have a full set of server logs from that long back; maybe any
one will do. This one matches at least one of the manual starts I used to
generate the working setup.
Comment 7 Matěj Cepl 2007-08-01 12:35:27 EDT
There is a lot of value even in the later log files -- at least we get an idea
what Xorg thinks is your configuration and we get a lot of technical details
about your configuration.
Comment 8 Dave Airlie 2007-10-04 21:35:41 EDT
the xorg log you provided shows a monitor being detected? is there a second
monitor not showing up?

Is the problem a) the screen is showing up too small or b) the name is wrong in
the applet?

Comment 9 Bug Zapper 2008-05-14 08:53:47 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2008-06-16 21:28:54 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.